package com.flowing.light.board.helper;



import java.util.ArrayList;
import java.util.List;

public class ResponseLayout {
    private String name;
    private List<KeyModel> keyModels = new ArrayList<>();


    public ResponseLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<KeyModel> getKeys() {
        return keyModels;
    }

    public void addKey(KeyModel keyModel) {
        this.keyModels.add(keyModel);
    }

    public KeyModel getLastKey() {
        return keyModels.isEmpty() ? null : keyModels.get(keyModels.size() - 1);
    }


}